mscorlib 2.0.0.0 4.0.0.0 System.Attribute System.AttributeUsage(System.AttributeTargets.Constructor | System.AttributeTargets.Method | System.AttributeTargets.Property | System.AttributeTargets.Field | System.AttributeTargets.All, Inherited=false) System.Diagnostics.Conditional("RESOURCE_ANNOTATION_WORK")

The attribute must be applied to a member calling a member that has the attribute applied. Public members cannot expose or resources. Members with scope cannot expose resources.

The graph of methods terminates when an attribute with a resource scope of is applied to a method.

Specifies the resource exposure for a member of a class. This class cannot be inherited.

- Constructor
  2.0.0.0
  4.0.0.0
  To be added.

  Initializes a new instance of the class with the specified exposure level.

  The scope of the resource.
- Property
  2.0.0.0
  4.0.0.0
  System.Runtime.Versioning.ResourceScope To be added. To be added.

  Gets the resource exposure scope.